(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: test_identity_model_triple.ml,v 1.1 2014-02-19 15:01:03 fclement Exp $ *)

let main =
  Gen_test_identity_model.make_main
    Gen_identity_model.get_data
    Gen_identity_model.coarse_to_fine
    Identity_model_triple.get_dimension
    Identity_model_triple.data_of_image
    Identity_model_triple.image_of_fine_parameter
    Gen_identity_model.make_init
    Gen_identity_model.grad
    Gen_identity_model.optim
    Gen_identity_model.make_final
;;

main ();;
